(function (factory) {
    if (typeof module === "object" && typeof module.exports === "object") {
        var v = factory(require, exports);
        if (v !== undefined) module.exports = v;
    }
    else if (typeof define === "function" && define.amd) {
        define(["require", "exports", "@tsparticles/engine", "./Utils.js"], factory);
    }
})(function (require, exports) {
    "use strict";
    Object.defineProperty(exports, "__esModule", { value: true });
    exports.ArrowDrawer = void 0;
    const engine_1 = require("@tsparticles/engine");
    const Utils_js_1 = require("./Utils.js");
    const defaultHeightFactor = 0.5, defaultHeadWidthFactor = 0.2, defaultBodyHeightFactor = 0.5;
    class ArrowDrawer {
        constructor() {
            this.validTypes = ["arrow"];
        }
        draw(data) {
            (0, Utils_js_1.drawArrow)(data);
        }
        particleInit(container, particle) {
            const shapeData = particle.shapeData;
            particle.heightFactor = (0, engine_1.getRangeValue)(shapeData?.heightFactor ?? defaultHeightFactor);
            particle.headWidthFactor = (0, engine_1.getRangeValue)(shapeData?.headWidthFactor ?? defaultHeadWidthFactor);
            particle.bodyHeightFactor = (0, engine_1.getRangeValue)(shapeData?.bodyHeightFactor ?? defaultBodyHeightFactor);
        }
    }
    exports.ArrowDrawer = ArrowDrawer;
});
